### Method

# Soup MessageHeaders set_content_range

#### Declaration [src]

    void
    soup_message_headers_set_content_range (
      SoupMessageHeaders* hdrs,
      goffset start,
      goffset end,
      goffset total_length
    )

#### Description [src]

Sets `hdrs`‘s Content-Range header according to the given values.

(Note that `total_length` is the total length of the entire resource that this is a range of, not simply `end` - `start` + 1.)

`SoupServer` has built-in handling for range requests, and you do not normally need to call this function youself. See `soup_message_headers_get_ranges()` for more details.

#### Parameters

`start`

  Type: `goffset`

  The start of the range.

`end`

  Type: `goffset`

  The end of the range.

`total_length`

  Type: `goffset`

  The total length of the resource, or -1 if unknown.